Subject: Re: [PATCH v4 07/12] rebase: add --update-refs option

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Jul 2022 12:35:33 -0700

Derrick Stolee <[email-masked]> writes:

> ... I think I should use "branches" here, but
> keep the name "--update-refs". The biggest reason is that it provides
> a nice parallel with the "update-ref" sequencer command. This command
> allows updating _any_ ref, such as lightweight tags in refs/tags/*
> or even refs in refs/my/namespace/*.
>
> The --update-refs option doesn't create the commands to update tags
> or refs in places other than refs/heads/*.

I guess it would make the choice of "branch" the most appropriate.

I was hoping that we can repoint refs in private namespaces that are
not branches with the option.  But as long as the underlying
"update-ref" instruction can be used by advanced users, that is OK.